CREATE TABLE cmr_transaction_types_b (
    TRANSACTION_TYPE_ID             NUMBER(18, 0) ,
    TRANSACTION_TYPE_CODE           VARCHAR2(160)     NOT NULL,
    PRODUCT_CODE                    VARCHAR2(12)  ,
    TRANSACTION_GROUP_NAME          VARCHAR2(100) ,
    XCC_TRANSACTION_TYPE            VARCHAR2(120) ,
    XCC_TRANSACTION_SUBTYPE_CODE    VARCHAR2(120) ,
    XCC_SOURCE_ACTION               VARCHAR2(100) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    TXN_DATE_IN_LE_TZ_FLAG          VARCHAR2(80)  ,
    ACTIVE_FLAG                     VARCHAR2(80)  ,
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    TRANSACTION_TYPE_ID             NUMBER(18, 0) ,
    TRANSACTION_TYPE_CODE           VARCHAR2(160)     NOT NULL,
    PRODUCT_CODE                    VARCHAR2(12)  ,
    TRANSACTION_GROUP_NAME          VARCHAR2(100) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    XCC_TRANSACTION_TYPE            VARCHAR2(120) ,
    XCC_SOURCE_ACTION               VARCHAR2(100) ,
    XCC_TRANSACTION_SUBTYPE_CODE    VARCHAR2(120) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    TXN_DATE_IN_LE_TZ_FLAG          VARCHAR2(80)  ,
    ACTIVE_FLAG                     VARCHAR2(80)  ,
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cmr_transaction_types_b PRIMARY KEY (TRANSACTION_TYPE_ID, TRANSACTION_TYPE_ID)
);
